# Get

Launch stage: GA

`GET /api/2.0/postgres/{name=projects/*}`

Retrieves information about the specified database project.

API scopes: postgres

## Path parameters

- `name` (string, optional)
  The full resource path of the project to retrieve.
   Format: projects/{project_id}

## Returns

Returns the Project object.

## Response

```json
{
  "name": "string",
  "uid": "string",
  "create_time": "string",
  "update_time": "string",
  "spec": {
    "display_name": "string",
    "pg_version": 0,
    "history_retention_duration": "string",
    "default_endpoint_settings": {},
    "budget_policy_id": "string",
    "custom_tags": [
      {}
    ],
    "enable_pg_native_login": true,
    "default_branch": "string"
  },
  "status": {
    "display_name": "string",
    "pg_version": 0,
    "history_retention_duration": "string",
    "default_endpoint_settings": {},
    "branch_logical_size_limit_bytes": 0,
    "synthetic_storage_size_bytes": 0,
    "compute_last_active_time": "string",
    "budget_policy_id": "string",
    "custom_tags": [
      {}
    ],
    "owner": "string",
    "enable_pg_native_login": true,
    "default_branch": "string",
    "project_id": "string"
  },
  "initial_endpoint_spec": {
    "group": {},
    "autoscaling_limit_min_cu": 0,
    "autoscaling_limit_max_cu": 0,
    "suspend_timeout_duration": "string",
    "no_suspension": true
  },
  "delete_time": "string",
  "purge_time": "string",
  "initial_branch_spec": {
    "is_protected": true
  },
  "project_id": "string"
}
```

